# -*- encoding: utf-8 -*-
# stub: roxml 4.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "roxml".freeze
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ben Woosley".freeze, "Zak Mandhro".freeze, "Anders Engstrom".freeze, "Russ Olsen".freeze]
  s.date = "2020-02-24"
  s.description = "ROXML is a Ruby library designed to make it easier for Ruby developers to work with XML.\nUsing simple annotations, it enables Ruby classes to be mapped to XML. ROXML takes care\nof the marshalling and unmarshalling of mapped attributes so that developers can focus on\nbuilding first-class Ruby classes. As a result, ROXML simplifies the development of\nRESTful applications, Web Services, and XML-RPC.\n".freeze
  s.email = "ben.woosley@gmail.com".freeze
  s.extra_rdoc_files = ["History.txt".freeze, "README.rdoc".freeze]
  s.files = [".gitmodules".freeze, ".rspec".freeze, ".travis.yml".freeze, "Gemfile".freeze, "Gemfile.lock".freeze, "History.txt".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "TODO".freeze, "VERSION".freeze, "examples/amazon.rb".freeze, "examples/current_weather.rb".freeze, "examples/dashed_elements.rb".freeze, "examples/library.rb".freeze, "examples/library_with_fines.rb".freeze, "examples/person.rb".freeze, "examples/posts.rb".freeze, "examples/rails.rb".freeze, "examples/search_query.rb".freeze, "examples/twitter.rb".freeze, "examples/xml/active_record.xml".freeze, "examples/xml/amazon.xml".freeze, "examples/xml/current_weather.xml".freeze, "examples/xml/dashed_elements.xml".freeze, "examples/xml/library_with_fines.xml".freeze, "examples/xml/person.xml".freeze, "examples/xml/posts.xml".freeze, "examples/xml/twitter.xml".freeze, "lib/roxml.rb".freeze, "lib/roxml/definition.rb".freeze, "lib/roxml/hash_definition.rb".freeze, "lib/roxml/xml.rb".freeze, "lib/roxml/xml/parsers/libxml.rb".freeze, "lib/roxml/xml/parsers/nokogiri.rb".freeze, "lib/roxml/xml/references.rb".freeze, "roxml.gemspec".freeze, "spec/definition_spec.rb".freeze, "spec/examples/active_record_spec.rb".freeze, "spec/examples/amazon_spec.rb".freeze, "spec/examples/current_weather_spec.rb".freeze, "spec/examples/dashed_elements_spec.rb".freeze, "spec/examples/library_spec.rb".freeze, "spec/examples/library_with_fines_spec.rb".freeze, "spec/examples/person_spec.rb".freeze, "spec/examples/post_spec.rb".freeze, "spec/examples/search_query_spec.rb".freeze, "spec/examples/twitter_spec.rb".freeze, "spec/reference_spec.rb".freeze, "spec/regression_spec.rb".freeze, "spec/roxml_spec.rb".freeze, "spec/shared_specs.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/libxml.rb".freeze, "spec/support/nokogiri.rb".freeze, "spec/xml/array_spec.rb".freeze, "spec/xml/attributes_spec.rb".freeze, "spec/xml/encoding_spec.rb".freeze, "spec/xml/namespace_spec.rb".freeze, "spec/xml/namespaces_spec.rb".freeze, "spec/xml/object_spec.rb".freeze, "spec/xml/parser_spec.rb".freeze, "spec/xml/text_spec.rb".freeze, "test/fixtures/book_malformed.xml".freeze, "test/fixtures/book_pair.xml".freeze, "test/fixtures/book_text_with_attribute.xml".freeze, "test/fixtures/book_valid.xml".freeze, "test/fixtures/book_with_authors.xml".freeze, "test/fixtures/book_with_contributions.xml".freeze, "test/fixtures/book_with_contributors.xml".freeze, "test/fixtures/book_with_contributors_attrs.xml".freeze, "test/fixtures/book_with_default_namespace.xml".freeze, "test/fixtures/book_with_depth.xml".freeze, "test/fixtures/book_with_octal_pages.xml".freeze, "test/fixtures/book_with_publisher.xml".freeze, "test/fixtures/book_with_wrapped_attr.xml".freeze, "test/fixtures/dictionary_of_attr_name_clashes.xml".freeze, "test/fixtures/dictionary_of_attrs.xml".freeze, "test/fixtures/dictionary_of_guarded_names.xml".freeze, "test/fixtures/dictionary_of_mixeds.xml".freeze, "test/fixtures/dictionary_of_name_clashes.xml".freeze, "test/fixtures/dictionary_of_names.xml".freeze, "test/fixtures/dictionary_of_texts.xml".freeze, "test/fixtures/library.xml".freeze, "test/fixtures/library_uppercase.xml".freeze, "test/fixtures/muffins.xml".freeze, "test/fixtures/nameless_ageless_youth.xml".freeze, "test/fixtures/node_with_attr_name_conflicts.xml".freeze, "test/fixtures/node_with_name_conflicts.xml".freeze, "test/fixtures/numerology.xml".freeze, "test/fixtures/person.xml".freeze, "test/fixtures/person_with_guarded_mothers.xml".freeze, "test/fixtures/person_with_mothers.xml".freeze, "test/mocks/dictionaries.rb".freeze, "test/mocks/mocks.rb".freeze, "test/support/fixtures.rb".freeze, "test/test_helper.rb".freeze, "test/unit/definition_test.rb".freeze, "test/unit/deprecations_test.rb".freeze, "test/unit/to_xml_test.rb".freeze, "test/unit/xml_attribute_test.rb".freeze, "test/unit/xml_block_test.rb".freeze, "test/unit/xml_bool_test.rb".freeze, "test/unit/xml_convention_test.rb".freeze, "test/unit/xml_hash_test.rb".freeze, "test/unit/xml_initialize_test.rb".freeze, "test/unit/xml_name_test.rb".freeze, "test/unit/xml_namespace_test.rb".freeze, "test/unit/xml_object_test.rb".freeze, "test/unit/xml_required_test.rb".freeze, "test/unit/xml_text_test.rb".freeze, "website/index.html".freeze]
  s.homepage = "https://github.com/Empact/roxml".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Ruby Object to XML mapping library".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.0"])
      s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.3.3"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 0.9"])
      s.add_development_dependency(%q<juwelier>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.7.0"])
      s.add_development_dependency(%q<sqlite3>.freeze, [">= 1.2.4"])
      s.add_development_dependency(%q<activerecord>.freeze, [">= 4.0"])
      s.add_development_dependency(%q<rack>.freeze, ["< 2.0.0"])
    else
      s.add_dependency(%q<activesupport>.freeze, [">= 4.0"])
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.3.3"])
      s.add_dependency(%q<rake>.freeze, ["~> 0.9"])
      s.add_dependency(%q<juwelier>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.7.0"])
      s.add_dependency(%q<sqlite3>.freeze, [">= 1.2.4"])
      s.add_dependency(%q<activerecord>.freeze, [">= 4.0"])
      s.add_dependency(%q<rack>.freeze, ["< 2.0.0"])
    end
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 4.0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.3.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 0.9"])
    s.add_dependency(%q<juwelier>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.7.0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 1.2.4"])
    s.add_dependency(%q<activerecord>.freeze, [">= 4.0"])
    s.add_dependency(%q<rack>.freeze, ["< 2.0.0"])
  end
end
